<template>
  <div>
    <h1>{{ $t('home.title') }}</h1>
    <div v-if="posts.length === 0">
      {{ $t('home.noPosts') }}
    </div>
    <div v-else>
      <div v-for="post in posts" :key="post.id">
        <h2>{{ post.name }}</h2>
        <p>{{ post.description }}</p>
        <div v-for="tag in post.tags" :key="tag.id">
          {{ tag.name }}
        </div>
        <button @click="deletePost(post.id)">{{ $t('home.delete') }}</button>
      </div>
    </div>
    <router-link to="/create-post" class="button">{{ $t('home.createPost') }}</router-link>
  </div>
</template>

<script src="./HomePage.js"></script>

<style>
.button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
  border: none;
  cursor: pointer;
}
</style>

